SourceFolder (Gradle API 2.14.1)

Package: org.gradle.plugins.ide.eclipse.model

## [Java] Class SourceFolder

- org.gradle.plugins.ide.eclipse.model.SourceFolder

- SourceFolder.path contains only project relative path.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractClasspathEntry` | `COMPONENT_DEPENDENCY_ATTRIBUTE, COMPONENT_NON_DEPENDENCY_ATTRIBUTE, accessRules, entryAttributes, exported, path`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SourceFolder (groovy.util.Node node)`
    `SourceFolder (String projectRelativePath, String output)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `appendNode(groovy.util.Node node)`
    `boolean` | `equals(Object o)`
    `String` | `getAbsolutePath()`
    `File` | `getDir()`
    `List<String>` | `getExcludes()`
    `List<String>` | `getIncludes()`
    `String` | `getKind()`
    `String` | `getName()`
    `String` | `getOutput()`
    `int` | `hashCode()`
    `void` | `setDir(File dir)`
    `void` | `setExcludes(List<String> excludes)`
    `void` | `setIncludes(List<String> includes)`
    `void` | `setName(String name)`
    `void` | `setOutput(String output)`
    `String` | `toString()`
    `void` | `trim()`
    `void` | `trim(String prefix)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractClasspathEntry` | `addClasspathEntry, appendNode, equals, getAccessRules, getEntryAttributes, getExported, getNativeLibraryLocation, getPath, hashCode, isExported, normalizePath, setAccessRules, setExported, setNativeLibraryLocation, setPath, toString, writeEntryAttributes`
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`

- - ### Constructor Detail

    - #### public SourceFolder(groovy.util.Node node)

    - #### public SourceFolder(String projectRelativePath, String output)

  - ### Method Detail

    - #### @Override public void appendNode(groovy.util.Node node)

    - #### @Override public boolean equals(Object o)

    - #### public String getAbsolutePath()

    - #### public File getDir()

    - #### public List<String> getExcludes()

    - #### public List<String> getIncludes()

    - #### @Override public String getKind()

    - #### public String getName()

    - #### public String getOutput()

    - #### @Override public int hashCode()

    - #### public void setDir(File dir)

    - #### public void setExcludes(List<String> excludes)

    - #### public void setIncludes(List<String> includes)

    - #### public void setName(String name)

    - #### public void setOutput(String output)

    - #### public String toString()

    - #### public void trim()

    - #### public void trim(String prefix)